
_interrupt:

;MyProject.c,5 :: 		void interrupt(){
;MyProject.c,6 :: 		USB_Interrupt_Proc();                  // USB servicing is done inside the interrupt
	CALL        _USB_Interrupt_Proc+0, 0
;MyProject.c,7 :: 		}
L_end_interrupt:
L__interrupt10:
	RETFIE      1
; end of _interrupt

_main:

;MyProject.c,8 :: 		void main(void){
;MyProject.c,9 :: 		HID_Enable(&readbuff,&writebuff);       // Initialize HID communication and specify our read and write buffers
	MOVLW       _readbuff+0
	MOVWF       FARG_HID_Enable_readbuff+0 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FARG_HID_Enable_readbuff+1 
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Enable_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Enable_writebuff+1 
	CALL        _HID_Enable+0, 0
;MyProject.c,10 :: 		while(1){                               // Main program loop
L_main0:
;MyProject.c,11 :: 		while(!HID_Read());                   // Loop until there's data to read on HID
L_main2:
	CALL        _HID_Read+0, 0
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_main3
	GOTO        L_main2
L_main3:
;MyProject.c,13 :: 		for(cnt=0;cnt<64;cnt++)               // Loop through our 64 byte buffer.
	CLRF        _cnt+0 
L_main4:
	MOVLW       64
	SUBWF       _cnt+0, 0 
	BTFSC       STATUS+0, 0 
	GOTO        L_main5
;MyProject.c,14 :: 		writebuff[cnt]=readbuff[cnt];       // Echo each byte from the read buffer to the write buffer
	MOVLW       _writebuff+0
	MOVWF       FSR1 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FSR1H 
	MOVF        _cnt+0, 0 
	ADDWF       FSR1, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR1H, 1 
	MOVLW       _readbuff+0
	MOVWF       FSR0 
	MOVLW       hi_addr(_readbuff+0)
	MOVWF       FSR0H 
	MOVF        _cnt+0, 0 
	ADDWF       FSR0, 1 
	BTFSC       STATUS+0, 0 
	INCF        FSR0H, 1 
	MOVF        POSTINC0+0, 0 
	MOVWF       POSTINC1+0 
;MyProject.c,13 :: 		for(cnt=0;cnt<64;cnt++)               // Loop through our 64 byte buffer.
	INCF        _cnt+0, 1 
;MyProject.c,14 :: 		writebuff[cnt]=readbuff[cnt];       // Echo each byte from the read buffer to the write buffer
	GOTO        L_main4
L_main5:
;MyProject.c,16 :: 		while(!HID_Write(&writebuff,64));     // Send the write buffer over USB
L_main7:
	MOVLW       _writebuff+0
	MOVWF       FARG_HID_Write_writebuff+0 
	MOVLW       hi_addr(_writebuff+0)
	MOVWF       FARG_HID_Write_writebuff+1 
	MOVLW       64
	MOVWF       FARG_HID_Write_len+0 
	CALL        _HID_Write+0, 0
	MOVF        R0, 1 
	BTFSS       STATUS+0, 2 
	GOTO        L_main8
	GOTO        L_main7
L_main8:
;MyProject.c,17 :: 		}
	GOTO        L_main0
;MyProject.c,18 :: 		}
L_end_main:
	GOTO        $+0
; end of _main
